### Hierarchy

- Base

## Index

### Constructors

- constructor

### Accessors

- accountManager
- dataRequestManager
- externalServicesManager
- offerManager
- offerRankManager
- profileManager
- searchManager
- verifyManager
- walletManager

### Methods

- changeStrategy

## Constructors

### constructor

- new Base(nodeHost: string, siteOrigin: string, strategy?: RepositoryStrategyType, signerHost?: string, loggerService?: Logger): Base

- - Defined in Base.ts:207

  #### Parameters

  - ##### nodeHost: string

  - ##### siteOrigin: string

  - ##### Default value strategy: RepositoryStrategyType = RepositoryStrategyType.Postgres

  - ##### Default value signerHost: string = ""

  - ##### Optional loggerService: Logger

  #### Returns Base

## Accessors

### accountManager

- get accountManager(): AccountManager

- - Defined in Base.ts:305

  #### Returns AccountManager

### dataRequestManager

- get dataRequestManager(): DataRequestManager

- - Defined in Base.ts:313

  #### Returns DataRequestManager

### externalServicesManager

- get externalServicesManager(): ExternalServicesManager

- - Defined in Base.ts:329

  #### Returns ExternalServicesManager

### offerManager

- get offerManager(): OfferManager

- - Defined in Base.ts:317

  #### Returns OfferManager

### offerRankManager

- get offerRankManager(): OfferRankManager

- - Defined in Base.ts:333

  #### Returns OfferRankManager

### profileManager

- get profileManager(): ProfileManager

- - Defined in Base.ts:309

  #### Returns ProfileManager

### searchManager

- get searchManager(): SearchManager

- - Defined in Base.ts:321

  #### Returns SearchManager

### verifyManager

- get verifyManager(): VerifyManager

- - Defined in Base.ts:325

  #### Returns VerifyManager

### walletManager

- get walletManager(): WalletManager

- - Defined in Base.ts:301

  #### Returns WalletManager

## Methods

### changeStrategy

- changeStrategy(strategy: RepositoryStrategyType): void

- - Defined in Base.ts:297

  #### Parameters

  - ##### strategy: RepositoryStrategyType

  #### Returns void

Generated using TypeDoc